# humanitarian_icons

Humanitarian Icons (Unofficial) library contains about 300+ icons.

[![pub package](https://img.shields.io/pub/v/humanitarian_icons.svg)](https://pub.dev/packages/humanitarian_icons)

-- NOTICE: NOT affiliated with the United Nations Office for the Coordination of Humanitarian Affairs!

The United Nations Office for the Coordination of Humanitarian affairs [OCHA](https://www.unocha.org/story/ocha-launches-500-free-humanitarian-symbols) has created a set of 500 freely available humanitarian icons to help relief workers present information about emergencies and crises quickly and simply.

When a disaster strikes, it is vital that all the different humanitarian agencies and workers can gather accurate information about the locations and needs of the people affected and who is best placed to help them. This creates an urgent need for complex information to be presented in a way that everyone can understand, as quickly as possible.

-- NOTE: Recently, I have been working a flutter app for emergency responders and have worked on health apps in the past so I thought this kind of library would help me and my fellow flutter developers to create their beautiful apps so here we are, I hope you like it and use it!


<img align="center" src="https://raw.githubusercontent.com/dhruvilp/humanitarian_icons/master/screenshots/app_screenshot.png" height="600em" />

## Usage

The easiest way to use this library is as following:

```dart
import 'package:humanitarian_icons/humanitarian_icons.dart';

...
    child: Icon(
      HumanitarianIcons.ambulance,
      size: 35.0,
    ),
...
```

For full example checkout example/ app which display all icons in a gallery format.

## Getting Started With Flutter

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.

## Credit

Icon Images: “Source: OCHA”.
